package queries_test

import (
	"testing"

	"github.com/fiskerinc/cloud-services/pkg/db"
	"github.com/fiskerinc/cloud-services/pkg/db/queries"
)

func TestSelectMostRecents(t *testing.T) {
	t.Skip()
	q := queries.Certificates{}
	q.GetDBConn().AddQueryHook(db.SQLLogger{})

	result, err := q.SelectMostRecents("11111111111111111", []string{"CHARGING", "ICC", "TBOX"})
	if err != nil {
		t.Error(err)
		return
	}

	t.Logf("%v", result)
}
